> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a tax filing



## OpenAPI

````yaml openapi-owners.json POST /v1/tax_filings
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/tax_filings:
    post:
      tags:
        - Tax Filings
      summary: Create a tax filing
      operationId: tax_filings_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  description: >-
                    An arbitrary string attached to the object. Often useful for
                    displaying to users.
                metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
                type:
                  type: string
                  enum:
                    - nrl6
                  description: The type of tax forms to include in this filing.
                workspace:
                  type: string
                  description: The workspace the tax filing belongs to.
              required:
                - type
      responses:
        '200':
          description: Returns a tax filing object if successful.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - tax_filing
                  description:
                    type:
                      - string
                      - 'null'
                    description: >-
                      An arbitrary string attached to the object. Often useful
                      for displaying to users.
                  filed_count:
                    type: integer
                    default: 0
                    description: >-
                      The number of tax forms that have been filed in this
                      filing.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  status:
                    type: string
                    enum:
                      - pending
                      - complete
                    description: The current status of the tax filing.
                  total_count:
                    type: integer
                    default: 0
                    description: The total number of tax forms included in this filing.
                  type:
                    type: string
                    enum:
                      - nrl6
                    description: The type of tax forms included in this filing.
                required:
                  - id
                  - created
                  - object
                  - description
                  - status
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````